.panel.panel-default{"ng-controller" => "CropListCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Crop Lists
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Name
            %th{:style => "text-align:center;"} 
            %th{:style => "text-align:center;"} 
     
        %tbody
          %tr{ "ng-repeat" => "crop_list in data_list "}
            %td{:style => "text-align:center;"} {{ crop_list.name }}
            %td
              %a{ "ng-click" => "edit(crop_list.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(crop_list.id, crop_list.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr            
            %td
              = text_field_tag :name,'', :class => "form-control", "ng-model" => "vm.name"
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel